Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

All other Modules /

Discuss all other Modules here.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Anti Spam Releases (Mollom, reCaptcha)


Go to End
Reply


38 Posts   12666 Views

Avatar
Willr

Forum Moderator, 5513 Posts

10 July 2009 at 5:18pm

Edited: 10/07/2009 5:18pm

Mollom 0.2 Stable Released. See http://silverstripe.org/mollom-module/
Recaptcha 0.3 Stable Released. See http://silverstripe.org/recaptcha-module/
Spam Protection 0.2 Stable Released. See http://silverstripe.org/spam-protection-module/

Any issues please raise them as tickets on open.silverstripe.com so we can look into them for the next iteration of spammable improvements.

Avatar
mephzara

Community Member, 17 Posts

11 July 2009 at 12:15am

Hello

There are still the same issues open as mentioned in my other [url=http://www.silverstripe.org/all-other-modules/show/264075#post264075]post[/url].

I did open the tickets 4364 and 4365 for these issues.

Thanks and best regards

Avatar
Willr

Forum Moderator, 5513 Posts

11 July 2009 at 10:38am

These will be fixed in the future releases. I suggest you try in the mean time disabling strict xml (by removing the <? xml header) or using html and seeing if this fixes the JS issue as well

Avatar
mephzara

Community Member, 17 Posts

13 July 2009 at 11:03pm

Hi Willr

If I change the document type to HTML 4.01 Transitional the captcha apperas but is distorted (see attached file). But the distortion could be a problem with my template. I will test that.

XHTML Transitional does not work. The captcha is invisible.

I did not test the missing slash with different document types because I have fixed that directly in the PHP code.

Best regards

Andrew

Attached Files
Avatar
mephzara

Community Member, 17 Posts

13 July 2009 at 11:07pm

I'm sorry. XHTML Transitional works. Probably I forgot to flush the cache.

Thanks & regards

Andrew

Avatar
perla

Community Member, 6 Posts

14 July 2009 at 9:02pm

What exactly is "Requires SilverStripe 2.3.2+"?
How do I get it?

Avatar
Willr

Forum Moderator, 5513 Posts

15 July 2009 at 8:47am

It means it requires you are running the SilverStripe version 2.3.2. If you are using an earlier version of SilverStripe it will not work. The latest version you can download on the site is 2.3.2 so you have to be running this - http://www.silverstripe.org/stable-download/

Avatar
mephzara

Community Member, 17 Posts

16 July 2009 at 1:51am

Edited: 16/07/2009 1:53am

Hello

The damaged layout of the captcha is also solved. It was caused by a table-layout=fixed entry in one of my style-sheets.

I had to add...

table#recaptcha_table {
   table-layout:auto;
}


...to my form.css. Now the captcha is displayed correctly. But I suppose most users will not have the same problem.

Best regards

Andrew

Go to Top